import Mock from 'mockjs';

const menusList = [
  // {
  //   id: 4,
  //   title: '用户管理',
  //   parentId: -1,
  //   url: '/userManage',
  //   sort: 1,
  //   icon: null,
  //   name: 'UserManage',
  // },
  // {
  //   id: 5,
  //   title: '考试管理',
  //   parentId: -1,
  //   url: '/examManage',
  //   sort: 2,
  //   icon: null,
  //   name: 'ExamManage',
  // },
  {
    id: 1,
    title: '服务单元管理',
    parentId: -1,
    url: '/serviceUnitManage',
    sort: 1,
    name: 'ServiceUnitManage',
  },
  {
    id: 2,
    title: '派单管理',
    parentId: 1,
    url: '/serviceUnitManage/dispatch',
    sort: 1,
    name: 'Dispatch',
  },
  {
    id: 3,
    title: '派单管理',
    parentId: 2,
    url: '/serviceUnitManage/dispatch/dispatchManage',
    sort: 1,
    name: 'DispatchManage',
  },
];

export const menusApi = Mock.mock('/api/getMenus', 'get', () => {
  return menusList;
});

export const loginApi = Mock.mock('/api/login', 'post', (data) => {
  return {
    userName: '路人甲',
    id: Math.floor(Math.random() * 100 + 1),
    token: '123',
  };
});

export const addApi = Mock.mock('/api/add', 'post', (data) => {
  return {
    ok: true,
  };
});
export const editApi = Mock.mock('/api/edit', 'post', (data) => {
  return {
    ok: true,
  };
});
