/** 请求环境配置 */

/** 不同服务的环境配置 */
const serviceEnv = {
  development: {
    url: 'https://yunpos-manageapi.cs.kemai.com.cn',
  },
  // test: {
  //   url: 'http://localhost:8080',
  // },
  production: {
    url: '/',
  },
};

/**
 * 获取当前模式的环境配置
 * @param env 环境
 */
export function getEnvConfig(env) {
  const { VITE_ENV_TYPE = 'development', VITE_APP_PROXY_PREFIX } = env;
  const envConfig = serviceEnv[VITE_ENV_TYPE];
  envConfig.proxy = VITE_APP_PROXY_PREFIX;
  return envConfig;
}
