import { request } from '@/utils/request.js';

export default {
  login(data = {}) {
    return request({
      url: '/api/login',
      method: 'post',
      data,
    });
  },
  logout(data = {}) {
    return request({
      url: '/api/logout',
      method: 'post',
      data,
    });
  },
  getMenus() {
    return request({
      url: '/api/getMenus',
      method: 'get',
    });
  },
  addUser(data = {}) {
    return request({
      url: '/api/add',
      method: 'post',
      data,
    });
  },
  editUser(data = {}) {
    return request({
      url: '/api/edit',
      method: 'post',
      data,
    });
  },
};
